Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: consolekit

Interfaces

### Description:

Framework for facilitating multiple user sessions on desktops.

### Interfaces:

consolekit_dbus_chat( domain )

##### Summary

Send and receive messages from consolekit over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

consolekit_domtrans( domain )

##### Summary

Execute a domain transition to run consolekit.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

consolekit_manage_log( domain )

##### Summary

Create, read, write, and delete consolekit log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

consolekit_read_log( domain )

##### Summary

Read consolekit log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

consolekit_read_pid_files( domain )

##### Summary

Read consolekit PID files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return